diff --git a/drivers/gpu/drm/radeon/r100.c b/drivers/gpu/drm/radeon/r100.c
index 84e5df7..76914db 100644
--- a/drivers/gpu/drm/radeon/r100.c
+++ b/drivers/gpu/drm/radeon/r100.c
@@ -1541,6 +1541,7 @@ static int r100_packet3_check(struct radeon_cs_parser *p,
 		break;
 		/* triggers drawing using indices to vertex buffer */
 	case PACKET3_NOP:
+	case 0x32:
 		break;
 	default:
 		DRM_ERROR("Packet3 opcode %x not supported\n", pkt->opcode);
diff --git a/drivers/gpu/drm/radeon/reg_srcs/r200 b/drivers/gpu/drm/radeon/reg_srcs/r200
index 6021c88..21b2b0a 100644
--- a/drivers/gpu/drm/radeon/reg_srcs/r200
+++ b/drivers/gpu/drm/radeon/reg_srcs/r200
@@ -181,4 +181,8 @@ r200 0x3294
 0x321c RB3D_ABLENDCNTL
 0x3220 RB3D_CBLENDCNTL
 0x3290 RB3D_ZPASS_DATA
+0x3230 RB3D_DEPTHCLEARVALUE
+0x3250 RB3D_ZCACHE_MODE
+0x3254 RB3D_ZCACHE_CTLSTAT
+0x3234 RB3D_ZMASKOFFSET
 
